module.exports = {
    title: '数据中台',
    description: 'Just playing around',
    plugins: ['@vuepress/back-to-top'],
    themeConfig: {
        nav: [
            { text: '主页', link: '/' },
            { text: '通用查询接口', link: '/utils/query' },
            { text: '物理世界', link: '/rwd/' },
            { text: '人员组织权限', link: '/org/' },
            { text: '数据标准化', link: '/dic/' },
            { text: '任务调度', link: '/task/' },
            { text: '报警系统', link: '/alarm/' },
//            { text: '报表统计系统', link: '/report/' },
            { text: '数据仓库', link: '/dw/' },
            { text: '天气服务', link: '/wther/' }
        ],

        sidebarDepth: 2,
        displayAllHeaders: true,
        sidebar: {
            '/utils/query': [
                {
                    title: '通用查询接口',
                    collapsable: false,
                    children: [{ title: '通用查询', path: '/utils/query' }]
                }
            ],
            '/dw': [
                {
                    title: '数据仓库',
                    collapsable: false,
                    children: [
                        { title: '配置计划', path: '/dw/dw_config' },
                        { title: '搭建部署', path: '/dw/dw_deploy' },
                        { title: 'sqoop部署及简介', path: '/dw/sqoop'}]
                }
            ],
            '/report': [
                {
                    title: '报表统计系统',
                    collapsable: false,
                    children: [{ title: '接口文档', path: '/report/report_api' }, { title: '数据结构设计', path: '/report/report_design' }]
                }
            ],
            '/alarm': [
                {
                    title: '报警系统',
                    collapsable: false,
                    children: [
                        { title: '接口文档', path: '/alarm/alarm_api' },
                        { title: '数据字典', path: '/alarm/alarm_dict' },
                        { title: '数据结构设计', path: '/alarm/alarm_design' }
                    ]
                }
            ],
            '/org': [
                {
                    title: '人员组织权限',
                    collapsable: false,
                    children: [{ title: '接口文档', path: '/org/org_api' }, { title: '数据结构设计', path: '/org/org_design' }]
                }
            ],
            '/task': [
                {
                    title: '数据标准化',
                    collapsable: false,
                    children: [{ title: '接口文档', path: '/task/task_api' }, { title: '数据结构设计', path: '/task/task_design' }]
                }
            ],
            '/dic': [
                {
                    title: '数据标准化',
                    collapsable: false,
                    children: [{ title: '接口文档', path: '/dic/dic_api' }, { title: '数据结构设计', path: '/dic/dic_design' }]
                }
            ],
            '/rwd': [
                {
                    title: '定义数据',
                    collapsable: false,
                    children: [{ title: '类型定义', path: '/rwd/def_class' }, { title: '信息点定义', path: '/rwd/def_funcid' }]
                },
                {
                    title: '订阅功能',
                    path: '/rwd/schema'
                },
                {
                    title: '实例数据',
                    collapsable: false,
                    children: [{ title: '对象数据', path: '/rwd/instance_object' }, { title: '关系数据', path: '/rwd/instance_relation' }]
                },
                { title: 'IOT', path: '/rwd/iot' }
            ],
            '/wther': [
                {
                    title: '天气服务',
                    collapsable: false,
                    children: [{ title: '服务介绍', path: '/wther/wther_prod' }, { title: '接口2021版', path: '/wther/wther_api_2021' }, { title: '接口2020版', path: '/wther/wther_api_2020' }]
                }
            ],
        }
    }
}
