# 报警系统
**当前版本：4.0.4**

**更新时间：2021-04-15**

## ALARM_COMMENT【报警批注】

| 代码 | 名称 | 数据类型(MYSQL) | 主键 | 备注 |
| ------------ | ------------ | ------------ | ------------ | ------------ |
| ID | 主键 | VARCHAR(50) | √ |  |
| RECORD\_ID | 报警记录id | VARCHAR(50) |  |  |
| CONTENT | 批注内容 | TEXT |  |  |
| CREATE\_USER | 创建人 | VARCHAR(50) |  |  |
| PROJECT\_ID | 项目id | VARCHAR(50) |  |  |
| GROUP\_CODE | 集团编码 | VARCHAR(50) |  |  |
| CREATE\_TIME | 创建时间 | DATETIME |  |  |
| UPDATE\_TIME | 更新时间 | DATETIME |  |  |
| UPDATE\_USER | 更新人 | VARCHAR(50) |  |  |
| VALID | 删除标记 1:true,0:false | INT(10) |  |  |

---

## ALARM_CONFIG【报警定义】

| 代码 | 名称 | 数据类型(MYSQL) | 主键 | 备注 |
| ------------ | ------------ | ------------ | ------------ | ------------ |
| ID | 主键 | VARCHAR(50) | √ |  |
| OBJ\_ID | 对象id | VARCHAR(50) |  |  |
| CLASS\_CODE | 对象类型编码 | VARCHAR(50) |  |  |
| PROJECT\_ID | 项目id | VARCHAR(50) |  |  |
| GROUP\_CODE | 集团编码 | VARCHAR(50) |  |  |
| ITEM\_CODE | 报警条目编码 | VARCHAR(50) |  |  |
| TARGET\_ID | 报警匹配条件id | VARCHAR(50) |  |  |
| CATEGORY | 报警分类 | VARCHAR(10) |  |  |
| LEVEL | 严重程度 | VARCHAR(10) |  |  |
| REMARK | 备注 | TEXT |  |  |
| CONDITION | 触发条件 | JSON |  |  |
| OPEN | 屏蔽状态 1-open、0- 屏蔽 | INT(10) |  |  |
| CONCERN | 是否重点关注 | INT(10) |  |  |
| USER\_DEFINED | 是否自定义 | INT(10) |  |  |
| CREATE\_USER | 创建用户 | VARCHAR(80) |  |  |
| CREATE\_TIME | 创建时间 | TIMESTAMP |  |  |
| UPDATE\_USER | 更新用户 | VARCHAR(80) |  |  |
| UPDATE\_TIME | 更新时间 | TIMESTAMP |  |  |
| VALID | 删除标记 1:true,0:false | INT(10) |  |  |

---

## ALARM_ITEM【报警条目】

| 代码 | 名称 | 数据类型(MYSQL) | 主键 | 备注 |
| ------------ | ------------ | ------------ | ------------ | ------------ |
| ID | 主键 | VARCHAR(50) | √ |  |
| CODE | 报警条目编码 | VARCHAR(50) |  |  |
| NAME | 报警条目名称 | VARCHAR(10) |  |  |
| CATEGORY | 报警分类 | VARCHAR(10) |  |  |
| LEVEL | 严重程度 | VARCHAR(10) |  |  |
| REMARK | 备注 | TEXT |  |  |
| CONDITION | 触发条件 | JSON |  |  |
| DEAL\_FUN | 处理算法 | VARCHAR(50) |  |  |
| CREATE\_USER | 创建用户 | VARCHAR(50) |  |  |
| PROJECT\_ID | 项目id | VARCHAR(50) |  |  |
| GROUP\_CODE | 集团编码 | VARCHAR(50) |  |  |
| CREATE\_TIME | 创建时间 | TIMESTAMP |  |  |
| UPDATE\_USER | 更新用户 | VARCHAR(50) |  |  |
| UPDATE\_TIME | 更新时间 | TIMESTAMP |  |  |
| VALID | 删除标记 1:true,0:false | INT(10) |  |  |
| APP\_ID | 子系统id | VARCHAR(50) |  |  |

---

## ALARM_LOG【报警日志】

| 代码 | 名称 | 数据类型(MYSQL) | 主键 | 备注 |
| ------------ | ------------ | ------------ | ------------ | ------------ |
| ID | 主键 | VARCHAR(80) | √ |  |
| RECORD\_ID | 报警记录id | VARCHAR(50) |  |  |
| TYPE | 操作类型（报警状态、报警性质、报警处理方式、报警处理状态） | VARCHAR(10) |  |  |
| NATURE | 报警性质 | INT(10) |  |  |
| BEFORE | 修改前报警记录的状态 | INT(10) |  |  |
| AFTER | 修改后报警记录的状态 | INT(10) |  |  |
| REMARK | 备注 | JSON |  |  |
| PROJECT\_ID | 项目id | VARCHAR(50) |  |  |
| GROUP\_CODE | 集团编码 | VARCHAR(50) |  |  |
| CREATE\_TIME | 创建时间 | TIMESTAMP |  |  |
| UPDATE\_TIME | 更新时间 | TIMESTAMP |  |  |
| VALID | 删除标记 1:true,0:false | INT(10) |  |  |
| CREATE\_USER | 创建人 | VARCHAR(50) |  |  |

---

## ALARM_RECORD【报警记录】

| 代码 | 名称 | 数据类型(MYSQL) | 主键 | 备注 |
| ------------ | ------------ | ------------ | ------------ | ------------ |
| ID | 主键 | VARCHAR(50) | √ |  |
| ITEM\_CODE | 报警条目编码 | VARCHAR(50) |  |  |
| PROJECT\_ID | 项目id | VARCHAR(50) |  |  |
| OBJ\_ID | 对象id | VARCHAR(50) |  |  |
| OBJ\_NAME|对象名称| VARCHAR(200) |  |  |
| CLASS\_CODE | 对象类型编码 | VARCHAR(50) |  |  |
| LEVEL | 严重程度 | VARCHAR(10) |  |  |
| REMARK | 报警描述 | TEXT |  |  |
| CREATE\_USER | 创建用户 | VARCHAR(50) |  |  |
| CREATE\_TIME | 创建时间 | TIMESTAMP |  |  |
| UPDATE\_USER | 更新用户 | VARCHAR(50) |  |  |
| UPDATE\_TIME | 更新时间 | TIMESTAMP |  |  |
| VALID | 删除标记 1:true,0:false | INT(10) |  |  |
| NAME | 报警名称 | TEXT |  |  |
| CATEGORY | 报警分类 | VARCHAR(50) |  |  |
| CONCERN | 是否重点关注 | INT(10) |  |  |
| STATE | 报警状态 | INT(10) |  |  |
| EFFECT\_START\_TIME | 有效期开始时间 | TIMESTAMP |  |  |
| EFFECT\_END\_TIME | 有效期结束时间 | TIMESTAMP |  |  |
| NATURE | 报警性质 | INT(10) |  |  |
| TREAT\_MODE | 处理方式 | INT(10) |  |  |
| TREAT\_STATE | 处理状态 | INT(10) |  |  |
| ALARM\_STATE |报警状态 | INT(10) |  |  0 当前 1 历史|
| GROUP\_CODE | 集团编码 | VARCHAR(50) |  |  |
| CONDITION | 触发和恢复条件 | JSON |  |  |
| TRIGGER\_INFO | 触发值信息 | JSON |  |  |
| END\_INFO | 恢复值信息 | JSON |  |  |
| TRIGGER\_TIME | 报警触发时间 | TIMESTAMP |  |  |
| END\_TIME | 恢复时间 | TIMESTAMP |  |  |
| ORDER\_ID | 工单id | VARCHAR(50) |  |  |
| ORDER\_STATE | 工单状态 | VARCHAR(10) |  |  |
| SUPPLEMENT | 补充说明 | JSON |  |  |
| TARGET\_ID | 匹配条件id | VARCHAR(50) |  |  |

---

## ALARM_TARGET【报警条目匹配对象】

| 代码 | 名称 | 数据类型(MYSQL) | 主键 | 备注 |
| ------------ | ------------ | ------------ | ------------ | ------------ |
| ID | 主键 | VARCHAR(50) | √ |  |
| ITEM\_CODE | 报警条目id | VARCHAR(5) |  |  |
| CLASS\_CODE | 对象类型 | VARCHAR(50) |  |  |
| CONDITION | 触发条件 | JSON |  |  |
| LEVEL | 报警等级 | VARCHAR(10) |  |  |
| CONCERN | 是否重点关注 | INT(10) |  |  |
| OPEN | 屏蔽状态（0：不屏蔽，1：屏蔽） | INT(10) |  |  |
| CREATE\_USER | 创建用户 | VARCHAR(50) |  |  |
| CREATE\_TIME | 创建时间 | TIMESTAMP |  |  |
| UPDATE\_USER | 更新用户 | VARCHAR(50) |  |  |
| UPDATE\_TIME | 更新时间 | TIMESTAMP |  |  |
| VALID | 删除标记 1:true,0:false | INT(10) |  |  |
| PROJECT\_ID | 项目id | VARCHAR(50) |  |  |
| GROUP\_CODE | 集团编码 | VARCHAR(50) |  |  |

---


