# 报表统计系统

## 数据结构

### 报表维度表（report_config_group）

|     字段     |                           字段说明                           |   数据类型    | 是否非空 |   备注   |
| :----------: | :----------------------------------------------------------: | :-----------: | -------- | :------: |
| conlumnName |                       主键（字段名称）                       | varchar(100)  | Y        | 字段名称 |
| conlumnDesc |                             字段                             | varchar(100)  |          |          |
|    value     |                         字段取值范围                         | varchar(1000) | Y        |          |
|    method    |              映射的方法名称，value_type=2时必填              | varchar(200)  |          |          |
|  valueType  | value字段值类型：1.实际值，2.bean名称，3.表名.列名（去重查询） |    int(11)    | Y        |          |

### 报表配置表（report_config）

|     字段     |                       字段说明                       |   数据类型    | 是否非空 |       备注       |
| :----------: | :--------------------------------------------------: | :-----------: | -------- | :--------------: |
|  calculated  |               主键（可参与计算的字段）               | varchar(100)  | Y        | 可参与计算的字段 |
|  tableName  |                         表名                         | varchar(500)  | Y        |                  |
| mappingName |                   映射代码中的名称                   | varchar(500)  | Y        |                  |
|    group     |                     可分组的字段                     | varchar(1000) | Y        |                  |
| tableGroup  | 表与表之间的分组字段（用于预生成每个维度的统计数据） |     json      | Y        |                  |

### 报警信息报表（report_alarm_record）

|      字段      |                           字段说明                           |   数据类型   | 是否非空 |           备注           |
| :------------: | :----------------------------------------------------------: | :----------: | -------- | :----------------------: |
|       id       |                      主键（无业务含义）                      |   int(11)    | Y        | 全局唯一，自增无实际意义 |
|   projectId   |                            项目id                            | varchar(50)  | Y        |  
|   groupCode   |                            项目编号                            | varchar(50)  | Y        | 
|    objType    |                           对象分类                           | varchar(50)  | Y        |                          |
|   classCode   |                         对象类型编码                         | varchar(50)  | Y        |                          |
|      year      |                              年                              |  varchar(4)  | Y        |                          |
|     month      |                      月(小于10：01-09)                       |  varchar(2)  |          |                          |
|      day       |                      日(小于10：01-09)                       |  varchar(2)  |          |                          |
|      hour      |                 时(24小时制，小于10：01-09)                  |  varchar(2)  |          |                          |
|      week      |                              周                              |  varchar(2)  |          |                          |
|     season     | 季度：1:0101-0401，2:0401-0701，3:0701-1001，4: 1001-0101  (日期前闭后开) |  varchar(1)  |          |                          |
|  createTime   |               创建时间  日期格式：yyyyMMddh24                | varchar(10)  |          |                          |
| rwdObjectNum |                       对象信息统计数量                       |   int(11)    | 0        |                          |
|   dateType    | 日期类型(年:year 月:month 日:day 时:hour 周:week  季度:season) | varchar(100) | Y        |                          |

### 报警信息统计报表 （report_alarm_record）

|       字段       |                           字段说明                           |   数据类型   | 是否非空 |           备注           |
| :--------------: | :----------------------------------------------------------: | :----------: | -------- | :----------------------: |
|        id        |                      主键（无业务含义）                      |   int(11)    | Y        | 全局唯一，自增无实际意义 |
|    itemCode     |                         报警条目编码                         | varchar(40)  | Y        |                          |
|    projectId    |                            项目id                            | varchar(50)  | Y        | 
|   groupCode   |                            项目编号                            | varchar(50)  | Y        | 
|     category     |                           报警分类                           | varchar(80)  | Y         |                          |
|    classCode    |                         对象类型编码                         | varchar(50)  |   Y       |                          |
|      level       |                           严重程度                           | varchar(10)  |  Y        |                          |
|   alarmState    |                           报警状态                           |  varchar(2)  |   Y       |                          |
|       year       |                              年                              |  varchar(4)  |   Y       |                          |
|      month       |                      月(小于10：01-09)                       |  varchar(2)  |          |                          |
|       day        |                      日(小于10：01-09)                       |  varchar(2)  |          |                          |
|       hour       |                 时(24小时制，小于10：01-09)                  |  varchar(2)  |          |                          |
|       week       |                              周                              |  varchar(2)  |          |                          |
|      season      | 季度：1:0101-0401，2:0401-0701，3:0701-1001，4: 1001-0101  (日期前闭后开) |  varchar(1)  |          |                          |
|   createTime    |               创建时间  日期格式：yyyyMMddh24                | varchar(10)  |          |                          |
| alarmRecordNum |                       报警信息统计数量                       |              | 0        |                          |
|    dateType     | 日期类型(年:year 月:month 日:day 时:hour 周:week  季度:season) | varchar(100) | Y        |                          |